using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Service.CustomFieldValidation.Repository;

namespace e_suite.Service.CustomFieldValidation;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<CustomFieldValidatorRepository>().As<ICustomFieldValidatorRepository>().InstancePerLifetimeScope();
        builder.RegisterType<CustomFieldValidator>().As<ICustomFieldValidator>().InstancePerLifetimeScope();
    }
}